# -*- coding: utf-8 -*-
import pdb
import requests


def get_mp_interface(gameid, channelid):
    base_url = "http://10.10.5.4:2333/api/open/cfg/all?"
    key = "name-table"
    url = f"{base_url}channelid={channelid}&gameid={gameid}&key={key}"
    r = requests.get(url)
    if r.status_code == requests.codes.ok:
        return r.json().get('result')
    else:
        return None


class ProduceSSCsv:
    def __init__(self):
        # self.base_path = "/data/git/ops_interface/myops/csv"
        self.base_path = "/tmp"
        self.gameid_list = [1004, 1001, 2001, 1011,2002]
        self.channelid = 6001

    def write2csv(self, data):
        filename = f"{self.base_path}/all__button_name.csv"
        with open(filename, 'w') as f:
            f.write("button_name,button_name_cn\n")
            print(data)
            for key, values in data.items():
                f.write(f"{key},{values}\n")


    def run(self):
        all = dict()
        for gameid in self.gameid_list:
            data = get_mp_interface(gameid, self.channelid)
            all.update(data)
            self.write2csv(all)


if __name__ == "__main__":
    pp = ProduceSSCsv()
    pp.run()
