# -*- coding: utf-8 -*-
from __future__ import absolute_import
import redis
from myops.mylog import define_logger
import logging

define_logger("/data/logs/clear_redis_key.log")
log = logging.getLogger(__name__)

conf = {
    "host": "10.10.4.8",
    "port": "6379",
    "passwd": "crs-9ltb97ds:i33dkxshh"
}


class ClearService:
    def __init__(self, accountid):
        self.accountid = accountid.strip()
        self.r = redis.Redis(host=conf['host'],
            port=conf['port'],
            password=conf['passwd'],
            charset='utf8'
        )

    def clear_rediskey(self):
        key = "cs_bd:{0}".format(self.accountid)
        try:
            data = self.r.get(key)
            log.info("get redis_key={0} data={1} ".format(key, data))
            # self.r.expire(key,1)
        except Exception:
            log.error("clear {0} failed ".format(key), exc_info=True)
