#!/usr/bin/python  
# -*- coding:utf-8 _*-
""" 
@author: pengtao 
@file: online_data.py 
@time: 2020/03/20
"""
from config.config import online_mysql
from ops.mmysql import MysqlBase
import datetime


class OnlineData2mysql:
    def __init__(self, data):
        self.data = data
        self.table = 'online_num'

    def _insert2mysql(self):
        mydb = MysqlBase(**online_mysql)
        t_data = {}
        t_data['game_id'] = self.data.get('game_id', 0)
        t_data['channel_id'] = self.data.get('channel_id', 0)
        t_data['zone_id'] = self.data.get('zone_id', 0)
        t_data['number'] = self.data.get('number', 0)
        t_data['updatetime'] = datetime.datetime.now().strftime("%Y-%m-%d %H:%M")
        mydb.insert(self.table, t_data)


    def run(self):
        self._insert2mysql()
